Firefox » Forældet udvidelser?

Reerso
 
Indlæg: 39
Tilmeldt: ons 28. maj 2014 21:48

Forældet udvidelser?

Indlægaf Reerso » tirs 22. aug 2017 14:19

Hej, jeg har den sidste nye Firefox version, da jeg opdateret til den så skriver den (Med gult) at mine udvidelser er forældet, dette kan ikke passe da flere af dem lige er opdateret bla 1Password...Hvorfor skriver den det når det ikke passer?

Mvh Reerso.

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:55.0) Gecko/20100101 Firefox/55.0
Vedhæftede filer
Skærmbillede 2017-08-22 15.14.31.png
Mvh Peder

Kim Ludvigsen
MozillaDanmark
 
Indlæg: 11271
Tilmeldt: lør 5. mar 2005 21:45

Re: Forældet udvidelser?

Indlægaf Kim Ludvigsen » tirs 22. aug 2017 15:44

Hej Peder

Mozilla har valgt at gå over til et andet system for udvidelser fra og med Firefox 57. Men allerede nu markeres de udvidelser, der ikke længere vil virke med det nye system, også selvom de måske stadig virker.

Meningen er sikkert, at man skal henvende sig til udvikleren af udvidelsen for at få vedkommende til at lave en version til det nye system. Desværre er der mange udvidelser, som det slet ikke er muligt at lave til det nye system. Det nye system giver nemlig en mere begrænset adgang til at lave ændringer eller tilføje ny funktionalitet i Firefox.

Det nye system er mere sikkert og mere stabilt, men man mister altså nogle muligheder, som har gjort Firefox mere tilpasningsvenlig end de andre browsere.

Det er muligt at udsætte pinen ved at installere Firefox ESR, hvor udvidelserne vil kunne bruges i længere tid.
https://www.mozilla.org/en-US/firefox/organizations/
Mvh. Kim

Reerso
 
Indlæg: 39
Tilmeldt: ons 28. maj 2014 21:48

Re: Forældet udvidelser?

Indlægaf Reerso » tirs 22. aug 2017 15:53

Hej Kim, tak for svar, vil det sige et man kan risikere at udvidelser fra et stor firma som 1Password jo er ikke ikke kan komme til at virke mere med Firefox på et tidspunkt? Det vil jo forringe Firefox væsenligt.
Mvh Peder

Kim Ludvigsen
MozillaDanmark
 
Indlæg: 11271
Tilmeldt: lør 5. mar 2005 21:45

Re: Forældet udvidelser?

Indlægaf Kim Ludvigsen » tirs 22. aug 2017 16:01

Jeg vil tro, at lige netop den udvidelsen vil kunne laves til det nye system, så mon ikke der kommer en ny version af den inden Firefox 57. Det er værre med Classic Theme Restorer, der ændrer en del på brugerfladen - adgang til at ændre i brugerfladen begrænses stærkt i det nye system.

Og ja, det vil forringe Firefox væsentligt, og jeg tror, det er et selvmål af dimensioner. Ganske vist vil udvidelser i Firefox stadig kunne gøre det samme som udvidelser i andre browsere, men så kan man jo lige så godt bruge dem i stedet for at skifte til Firefox.
Mvh. Kim

Reerso
 
Indlæg: 39
Tilmeldt: ons 28. maj 2014 21:48

Re: Forældet udvidelser?

Indlægaf Reerso » tirs 22. aug 2017 16:05

Gud ja, Classic Theme Restorer havde jeg slet ikke tænkt på.
Nu er Firefox ikke min primære browser, jeg bruger mest Safari, men jeg syntes det er trist at Firefox bliver forringet så meget.
Mvh Peder